package GePan::Parser::Prediction::Priam;
use base qw(GePan::Parser::Prediction);
use strict;
use Data::Dumper;
use GePan::Hit::Priam;

=head1 NAME

GePan::Parser::Prediction::Priam

=head1 DESCRIPTION

Parser for tool signalP

=head1 ATTRIBUTE

=head1 METHODS

=head2 B<parseFile()>

Parses the result file of a signalP run.

=cut

sub parseFile{
    my $self = shift;

    $self->{'logger'}->LogError("No priam output file specified for parsing.") unless $self->{'file'};

    my $collection = GePan::Collection::Hit->new();
    $collection->setLogger($self->{'logger'});

    my $file = $self->{'file'};
    open(FILE,"<$file") or $self->{'logger'}->LogError("Failed to open file $file for reading.");
    my $header;
    while(my $line = <FILE>){
    	if($line=~/^>(.*)$/){
    	    $header = $1;
    	    next;
    	}
      if($line=~/^#/){
          next;
      }
      if($line=~/^\s*$/){
          next;
      }
    	my @split = grep{$_ ne ""}split(/[\t\s]/,$line);
    	#$self->{'logger'}->LogError("GePan::Parser::Prediction::Priam::parseFile() - Odd nmber of elements in line split.") unless scalar(@split)<=5;


    	my $hit = GePan::Hit::Priam->new();

    	$hit->setParams({ec=>$split[0],
    		         e_value=>$split[2],
    #		         probability=>$split[2],
    		         kept=>$split[1],
                 tool=>'priam',
    			 id=>$header,
    			 logger=>$self->{'logger'}});
    #	if (defined $split[4]){
    #	   $hit->setParams({fragment=>$split[4]});
    #
    #	}

    	$collection->addElement($hit);
    }
    close(FILE);
    $self->{'collection'} = $collection;
}

1;
